Page MenuHome

Sculpt Mode Grab Active Vertex and Dynamic Mesh Preview Bug.
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.1709 64 Bits
Graphics card: GeForce GTX 1050 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.30

Blender Version
Broken: version: 2.81 (sub 10), branch: master, commit date: 2019-09-10 15:51, hash: rB01a3a9c8181d

Short description of error
Grab Active Vertex and Dynamic Mesh Preview are not working, You get locked and the UI flickers.
You have to kill Blender from the Task Manager and sometimes simply Crashes.

Exact steps for others to reproduce the error
Have an Object with Subdivison Modifier->Sculpt Mode-> Grab Brush->Enable Grab Active Vertex(Brush Settings).

Demo of the Bug:


Blend File:

Event Timeline

Yes, I can confirm. It never worked, even in the sculpt branch. (Windows)

I don't have a Windows PC to debug this. Does this patch fix the issue?

I don't have a Windows PC to debug this. Does this patch fix the issue?

I applied the patch but didn't work for me,but this time it didn't crash when you try to click the Menus & Workspaces..etc, I guess we need a Developer with Windows OS to figure this out.

@Zino Guerr (Zino) What does this patch do on Windows? Does it render something when sculpting with a subdivision surface modifier?

@Zino Guerr (Zino) What does this patch do on Windows? Does it render something when sculpting with a subdivision surface modifier?

No it doesn't Render anything, it's same as before Brush Cursor is locked and only System Cursor can be moved.

Only seems to work when you zoom in and out.

Zino Guerr (Zino) added a comment.EditedSep 12 2019, 9:47 AM

I managed to get it to draw like Chris but without zooming, it has to do with the Gizmos, i mapped the Viewport Gizmos toggle to a hotkey and have to be on first and it gave this effect, but the moment you click it crashes.

For the Pose tool i only get a single point drawn.


Hope this can help a bit.

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 50.Sep 13 2019, 11:08 AM

I tried on windows, but wasn't able to reproduce it in current master.

Tried it on blender 76650402f300, windows 7x64, rx480 (19.9.2 drivers).
No lock and UI doesnt flicker, but blender crashes if i'm using grab brush. Sometimes it crash right away, sometimes after tweaking with grab brush and rotating viewport.

Hi @Jeroen Bakker (jbakker), for me it's still the same with a clean new build, i have to use the Viewport Gizmos shortcut to get out of the locked state, is this a hardware specific issue?.

Tried it on a simple quad sphere with Subdivision modifier, no issues.

Tried the example scene as well, also no problems.

Blender 2.81 Alpha
September 16, 23:16:10 - 76650402f300
Windows 10 Pro 64-bit
NVIDIA GeForce RTX 2080 Ti.

Tried the provided blend with 76650402f300 and a master version from september 13th.
Except maybe the extraneous green dot "far away" from the active vertex I also had no flicker or locking.
Windows 10 Pro 64-bit
Intel UHD 620 (laptop) (Lol, a miracle 2.8 seems to run flawlessly with this hardware :) )

Hi @Zino Guerr (Zino)

Can you update your graphics drivers there are almost a year old, might be a driver issue.

Keeps happening
Can't update graphic drivers since Nvidia introduced many bugs on my card
Operating system: Windows-10-10.0.17134 64 Bits
Graphics card: GeForce GTX 770/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 399.24
Blender Version
Broken: version: 2.81 (sub 11), branch: master, commit date: 2019-09-16 21:02, hash: rB76650402f300

Brecht Van Lommel (brecht) lowered the priority of this task from 50 to 30.Sep 17 2019, 2:28 PM

I fixed the drawing glitches I could reproduce.

I don't see any crashes though. We are missing a .blend file and clear steps to reproduce those.

@Brecht Van Lommel (brecht) I know where those crashes come from, F7734943 should fix it. I'll create a patch just for that.


It kinda works now on
Blender Version
Broken: version: 2.81 (sub 11), branch: master, commit date: 2019-09-17 14:22, hash: rB884a3852873f

Yes, the mesh preview only shows up if you activate any of the transform tools first.

Zino Guerr (Zino) added a comment.EditedSep 17 2019, 9:17 PM

Hi @Zino Guerr (Zino)

Can you update your graphics drivers there are almost a year old, might be a driver issue.

I have updated the driver to the latest one Tue Sep 10, 2019 and it's exactly what the guys are showing in the videos.

Here is a blend file without activating the transform tools, the moment you do that and use the grab brush the cage gets drawn but after using it for a while it crashes..............the Pose Brush is now working correctly though.

Bastien Montagne (mont29) raised the priority of this task from 30 to 80.Oct 1 2019, 10:12 PM

Hi,

I have tested this on my home computer and work computer with the same result as Lucas.

  • Doesn't work until I activate a gizmo, still work after disabling the gizmo

Both are under Windows 10
Home : lastest update
Work : 1803

Home : Gigabyte RTX 2070 Gaming OC, Latest Nvidia Drivers (441.34)
Work : GTX 1070, 440.97

Home : Ryzen 5 3600X with 32 Go DDR4
Work : Xeon W-2135 with 128 Go DDR4

I've build it locally and I have the issue so I might take some time to try to understand why this happen. In the meantime if you can't reproduce it but have an idea about a fix I could try the fix for you.

So after some investigation why enabling gizmo make it work I found that by adding this code at paint_cursor.c:1487 "fix" this issue

GLuint buffer[MAXPICKBUF];
rcti rect;

rect.xmin = rect.ymin = 0.0f;
rect.xmax = rect.ymax = 0.0f;
GPU_select_begin(buffer, ARRAY_SIZE(buffer), &rect, GPU_SELECT_NEAREST_FIRST_PASS, 0);
GPU_select_end();

I don' t understand quite the why tho ... (yet)

So it seems to be related to glClear(GL_DEPTH_BUFFER_BIT); in fact this calling this just one time before sculpt_geometry_preview_lines_draw is fixing the issue as well.

The issue reported was fixed for Windows as far as I know. If there are any other bugs in this feature, please open another bug report describing them.

The issue reported was fixed for Windows as far as I know. If there are any other bugs in this feature, please open another bug report describing them.

Okay, there is still one, I'll make another report for it